<?php

/* --------------------------------
    Load necessary files
--------------------------------- */

$includes_files = array(
    'class-wordpress-plugin-template.php',
    'includes/class-wordpress-plugin-template-settings.php',
    'includes/lib/class-wordpress-plugin-template-admin-api.php',
    'functions.php',
    'includes/lib/purchase-verification.php',
    'includes/class-jquery-validation.php',
    'includes/class-field-control.php',
    'includes/fields/functions.php',
    'includes/template/index.php',
    'includes/template/single-result.php',
    'includes/template/class/class-search-query.php',
    'includes/api/sform_loader.php',
    'includes/api/result_callback.php',
);

foreach ($includes_files as $file) {
    require_once($file);
}

/* --------------------------------------
  Define plugin url
--------------------------------------- */

define('JP_SRMS_PATH', WP_PLUGIN_URL . '/' . plugin_basename(dirname(__FILE__)) . '/');

// Add jQuery

function jsrmsp_add_jquery()
{
    wp_enqueue_script('jquery');
}
add_action('init', 'jsrmsp_add_jquery');

/* ----------------------------------------------------
--------- Result search & view for anywhere use -------
---------------------------------------------------- */

function jsrmsp_certificate_download()
{
    /* Make certificate downloadable */
    if (isset($_GET['file']) && isset($_GET['id'])) {
        // Copy to a temp directory
        $file_url  = $_GET['file'];
        $file_id = $_GET['id'];

        $cTDl = new jsrmsp_result_meta();
        $file = $cTDl->cerTDlmain($file_url, $file_id)[0];
        $file_type = $cTDl->cerTDlmain($file_url, $file_id)[1];
        header('Content-type: image/' . $file_type);
        header('Content-Disposition: attachment; filename="' . $file_id . '.' . $file_type . '"');
        readfile($file);
        unlink($file);
    }
    die();
}

add_action('wp_ajax_jsrmspCDl', 'jsrmsp_certificate_download');
add_action('wp_ajax_nopriv_jsrmspCDl', 'jsrmsp_certificate_download');

/* Showing shortcode embed search form */

function jsrmsp_result_search_and_view()
{
    ob_start();
    ?>
    <link rel="stylesheet" href="<?php echo plugin_dir_url(__FILE__) . 'includes/template/css/fancybox.css'; ?>" />
    <style type="text/css">
        table.jsrmsp-isf {
            width: 100%;
            border: none;
        }

        table.jsrmsp-isf tbody tr {
            border: none;
        }

        table.jsrmsp-isf tbody tr td {
            padding: 5px;
            border: none;
        }
    </style>
    <script type="text/javascript" src="<?php echo plugin_dir_url(__FILE__) . 'includes/template/js/fancybox.js'; ?>"></script>
    <fieldset class="jsrmsp-fieldset">
        <legend class="jsrmsp-legend"><?php echo get_option('jsrmsp_search_result_text', true); ?></legend>
        <form style="margin-top: 10px;" action="" id="result-form" method="post">

            <?php

            // Get the search form

            $rs_form = new jsrmsp_search_form();

            ?>

            <table class="jsrmsp-isf">
                <tbody>
                <?php $rs_form->search_form_In(get_option('jsrmsp_s_form_l')); ?>
                </tbody>
            </table>

        </form>
    </fieldset>

    <div class="result-container" id="jsrmsp-print-area"></div>
    <?php

    if (get_option('jsrmsp_resultPrintBtn')) { ?>
        <div style="display: none;" class="jsrmsp-print">
            <button class="jsrmsp-print-btn"><?php esc_html_e('Print', 'jsrmsp-td'); ?></button>
        </div>
    <?php }
    ?>

    <?php
    $jsrmsp_sr_v = ob_get_clean();
    return $jsrmsp_sr_v;
}

add_shortcode('jsrmsp_srv', 'jsrmsp_result_search_and_view');

/*--------------------------------------------------*/
/* Search result using ajax------------------------ */
/*-------------------------------------------------*/

function jsrmsp_result_using_ajax()
{

    /* Receive form data from shortcode embed search form */

    $class = isset($_POST['examclass']) ? wp_unslash($_POST['examclass']) : '';
    $year = isset($_POST['examyear']) ? wp_unslash($_POST['examyear']) : '';
    $section = isset($_POST['examsection']) ? wp_unslash($_POST['examsection']) : '';
    $group = isset($_POST['examgroup']) ? wp_unslash($_POST['examgroup']) : '';
    $roll = isset($_POST['examroll']) ? wp_unslash($_POST['examroll']) : '';
    $reg = isset($_POST['examreg']) ? wp_unslash($_POST['examreg']) : '';
    $title = isset($_POST['student_name']) ? wp_unslash($_POST['student_name']) : '';
    $title = strtolower($title);
    $title = str_replace(' ', '-', $title);
    $birthdate = isset($_POST['birthdate']) ? wp_unslash($_POST['birthdate']) : '';

    /* Searching students result based on submitted form */

    $form_base_In = get_option('jsrmsp_s_form_l');

    // Make object and Query post
    $jsrmspQuery = new jsrmsp_searchQuery();
    $jsrmspQuery->makeQuery($form_base_In, $class, $year, $section, $group, $roll, $reg, $title, $birthdate);

    ?>
    <!-- Result view template for shortcode embed search form -->
    <script type="text/javascript">
        jQuery(document).ready(function () {
            jQuery('.fancybox').fancybox();
        });
    </script>
    <div class="nonp-jsrmsp-result-view">
        <?php

        if (have_posts()) :
            while (have_posts()) : the_post();

                $result_meta = new jsrmsp_result_meta();
                ?>
                <div class="jsrmsp-sheader-info">
                    <img src="<?php $logo = get_option('jsrmsp_page_logo');
                    if ($logo) {
                        echo wp_get_attachment_url($logo);
                    } else {
                        echo plugin_dir_url(__FILE__) . 'includes/template/images/template-logo.png';
                    } ?>" alt=""/>
                    <h2>
                        <?php
                        $title = get_option('jsrmsp_custom_page_title');
                        if ($title) {
                            echo $title;
                        } else {
                            echo "Ministry of Education";
                        }
                        ?>
                    </h2>
                    <p>
                        <?php
                        $subtitle = get_option('jsrmsp_custom_page_subtitle');
                        if ($subtitle) {
                            echo $subtitle;
                        } else {
                            echo "Intermediate and Secondary Education Boards Bangladesh";
                        }
                        ?>
                    </p>
                </div>

                <h2 class="nonp-jsrmsp-info-header"><?php if (!$result_meta->class_name_sl()) {
                    } ?> <?php if (get_option('jsrmsp_resultPublication')) {
                        echo get_option('jsrmsp_resultPublication');
                    } else {
                        echo 'Result Publication';
                    }; ?> <?php if (!$result_meta->year_name_sl()) {
                    } ?><?php edit_post_link('Edit'); ?></h2>

                <?php
                /* Get result information */
                $result_meta = new jsrmsp_result_meta();
                echo $result_meta->studentPhoto();
                ?>
                <div class="jsrmsp-responsive-table">
                    <table cellpadding="5" class="nonp-jsrmsp-student-info">
                        <tbody>
                        <tr>
                            <td><span class="st-st-label">
                                <?php
                                if (get_option('jsrmsp_st_name')) {
                                    echo get_option('jsrmsp_st_name');
                                } else {
                                    echo 'Name';
                                }
                                ?>
                            </span></td>
                            <td><span class="info"><?php the_title(); ?></span></td>
                            <?php $result_meta->result_meta('_jsrmsp_student_father_name', 'jsrmsp_info_field_1'); ?>
                        </tr>
                        <tr>
                            <?php
                            $result_meta->result_meta('_jsrmsp_student_mother_name', 'jsrmsp_info_field_2');
                            $result_meta->result_meta('_jsrmsp_student_type', 'jsrmsp_info_field_3');
                            ?>
                        </tr>
                        <tr>
                            <?php
                            $result_meta->date_of_birth('_jsrmsp_student_birth_date', 'jsrmsp_info_field_4');
                            $result_meta->ins_name('jsrmsp_school_name');
                            ?>
                        </tr>
                        <tr>
                            <?php
                            $result_meta->result_meta('_jsrmsp_student_roll', 'jsrmsp_info_field_7');
                            $result_meta->result_meta('_jsrmsp_student_reg', 'jsrmsp_info_field_8');
                            ?>
                        </tr>
                        <tr>
                            <?php
                            $result_meta->group_name();
                            $result_meta->section_name();
                            ?>
                        </tr>
                        <tr>
                            <?php
                            $result_meta->result_meta('_jsrmsp_student_gender', 'jsrmsp_info_field_5');
                            $result_meta->result_meta('_jsrmsp_student_religion', 'jsrmsp_info_field_6');
                            ?>
                        </tr>
                        <tr>
                            <?php
                            $result_meta->result_meta('_jsrmsp_total_gpa', 'jsrmsp_gpa');
                            ?>
                            <td></td>
                            <td></td>
                        </tr>
                        </tbody>
                    </table>
                </div>

                <h2 class="nonp-jsrmsp-info-header"><?php if (get_option('jsrmsp_resultHeader')) {
                        echo get_option('jsrmsp_resultHeader');
                    } else {
                        echo 'Subject Wise Grade/Mark Sheet';
                    }; ?></h2>

                <table cellpadding="5" class="nonp-jsrmsp-student-result">
                    <tbody>
                    <tr>
                        <th><?php if (get_option('jsrmsp_resultSubject')) {
                                echo get_option('jsrmsp_resultSubject');
                            } else {
                                echo 'Subject';
                            }; ?></th>
                        <th><?php echo get_option('jsrmsp_grade'); ?></th>
                    </tr>
                    <?php
                    $totalSubjects = get_option('jsrmsp_total_subjects', true);

                    // Generate result
                    for ($x = 1; $x <= $totalSubjects; $x++) {
                        $result_meta->result_meta_marksheet("_jsrmsp_subject_" . $x, "jsrmsp_subject_" . $x);
                    }

                    /* Certificate view and download */
                    $result_meta->certificateShortcode("_jsrmsp_certificate");

                    ?>
                    </tbody>
                </table>
                <div class="nonp-jsrmsp-footer-text">
                    <p><?php echo get_option('jsrmsp_footer_text'); ?></p>
                </div>
            <?php
            endwhile;
        else:
            ?>
            <!-- If fail to find result -->

            <div class="jsrmsp-result-notice error">
                <p><?php echo get_option('jsrmsp_result_failedNotice'); ?></p>
            </div>

        </div>
        <!-- Result view template end -->
    <?php
    endif;

    die();
}

add_action('wp_ajax_jsrmsp_student_result_view', 'jsrmsp_result_using_ajax');
add_action('wp_ajax_nopriv_jsrmsp_student_result_view', 'jsrmsp_result_using_ajax');