<?php

// Create a custom REST API endpoint
function jsrmsp_result_callback_api_endpoint() {
	register_rest_route('jsrmsp/v1', '/result', array(
		'methods' => 'POST',
		'callback' => 'jsrmsp_result_api_callback',
	));
  }
  
  add_action('rest_api_init', 'jsrmsp_result_callback_api_endpoint');
  
  function jsrmsp_result_api_callback($request) {
	// header('Access-Control-Allow-Origin: *');
	// header('Access-Control-Allow-Methods: GET');
	// header("Access-Control-Allow-Headers: X-Requested-With");
	
	// Get the raw JSON data from the request body
	$data = json_decode($request->get_body());
  
	if (json_last_error() !== JSON_ERROR_NONE) {
		// JSON parsing error occurred
		return new WP_Error('json_error', 'Invalid JSON data', array('status' => 400));
	}
  
	// Now you can access the JSON data as a PHP object or array
	$class = $data->class ?? "";
	$year = $data->year ?? "";
	$group = $data->group ?? "";
	$section = $data->section ?? "";
	$roll = $data->roll ?? "";
	$reg = $data->reg ?? "";
	$fullName = $data->fullName ?? "";
	$birthDate = $data->birthDate ?? "";
  
	// Add your existing PHP code here
	$sform_type = get_option('jsrmsp_s_form_l');
	$outputData = array();
  
	// Make object and Query post
	$jsrmspQuery = new jsrmsp_searchQuery();
	$jsrmspQuery->makeQuery($sform_type,$class,$year,$section,$group,$roll,$reg,$fullName,$birthDate);
  
	if( is_tax() ) { 
		global $wp_query; 
		$term = $wp_query->get_queried_object(); 
		$title = $term->name; 
	} 
  
	if ( have_posts() ) : while ( have_posts() ) : the_post();
	  $outputData["have_result"] = true;
  
	  /* Get result information */
	  $result_meta = new jsrmsp_result_meta();
  
	  $outputData["student_info"] = array(
		  array(
			'key' => get_option('jsrmsp_st_name'),
			'value' => get_the_title(),
  
		  ),
		  $result_meta->result_meta_app('_jsrmsp_student_father_name','jsrmsp_info_field_1'),
		  $result_meta->result_meta_app('_jsrmsp_student_mother_name','jsrmsp_info_field_2'),
		  $result_meta->result_meta_app('_jsrmsp_student_type','jsrmsp_info_field_3'),
		  $result_meta->result_meta_app('_jsrmsp_student_birth_date','jsrmsp_info_field_4'),
		  $result_meta->ins_name_app('jsrmsp_school_name'),
		  $result_meta->result_meta_app('_jsrmsp_student_roll','jsrmsp_info_field_7'),
		  $result_meta->result_meta_app('_jsrmsp_student_reg','jsrmsp_info_field_8'),
		  $result_meta->group_name_app(),
		  $result_meta->section_name_app(),
		  $result_meta->result_meta_app('_jsrmsp_student_gender','jsrmsp_info_field_5'),
		  $result_meta->result_meta_app('_jsrmsp_student_religion','jsrmsp_info_field_6'),
		  $result_meta->result_meta_app('_jsrmsp_total_gpa','jsrmsp_gpa'),
	  );
  
	  $totalSubjects = get_option('jsrmsp_total_subjects', true);
	  $subjectResult = array();
  
	  // Generate result
	  for ($x = 1; $x <= $totalSubjects; $x++){
		
		$singleSubject = $result_meta->result_meta_app("_jsrmsp_subject_".$x,"jsrmsp_subject_".$x);
  
		array_push($subjectResult, $singleSubject);
	  }
  
	  $outputData["result_info"] = $subjectResult;
	  
	  $cirticate = $result_meta->certificate_app( '_jsrmsp_certificate' );
	  $outputData["others_info"] = array(
		'certificate_name' => $cirticate['key'],
		'certificate_value' => $cirticate['value'],
		'permalink' => get_the_permalink(),
		'student_photo' => $result_meta->resul_student_photo_app('_jsrmsp_student_photo'),
		'class' => $result_meta->class_name_only_app(),
		'year' => $result_meta->year_name_only_app(),
		'result_publication' => get_option( 'jsrmsp_resultPublication' ),
		'result_header' => get_option('jsrmsp_resultHeader'),
		'subject_text' => get_option( 'jsrmsp_resultSubject' ),
		'grade_text' => get_option('jsrmsp_grade'),
		'result_failed_text' => get_option('jsrmsp_result_failedNotice')
	  );
  
	  echo wp_json_encode($outputData);
  
	endwhile; 
	else:
	  $outputData["have_result"] = false;
	  $outputData["others_info"] = array(
		'result_failed_text' => get_option('jsrmsp_result_failedNotice')
	  );
  
	  return rest_ensure_response($outputData);
	endif;
  
}  