<?php

/*
* CSV Exporter Class
*/


class jsrmsp_csv_exporter{
	
	/* Result Counter */

	public function jsrmsp_rcount(){
			
		global $wpdb;
		$post_table = $wpdb->prefix."posts";
		
		$count = $wpdb->get_var( "SELECT COUNT(*) FROM $post_table WHERE post_status = 'publish' AND post_type = 'jsrmsp_sr'" );
		$total = $count;
		return $total;

	}
	
	/* Find post id */
	
	public function jsrmsp_rid( $postName ){
			
		global $wpdb;
		$post_table = $wpdb->prefix."posts";
		
		$id = $wpdb->get_row( "SELECT ID FROM $post_table WHERE post_name = '".$postName."' AND post_status = 'publish' AND post_type = 'jsrmsp_sr'" );
		return $id->ID;

	}
	
	/* Result info function */
	
	public function jsrmsp_meviewer( $meta_id ){
		$meta_name = get_post_meta( get_the_ID(),$meta_id,true );
		if($meta_name){
			return $meta_name;
		}
	}
	
	/* Result term funtion */
	
	public function jsrmsp_tmviewer( $term_name ){
		if(get_the_term_list( get_the_ID(), $term_name ) != null){
			$group = get_the_term_list( get_the_ID(), $term_name, '', ', ', '' ); 
			$group = strip_tags($group); 
			return $group; 
		}
	}
	
}

add_action('admin_menu','jsrmsp_csvExportMenu');
add_action('admin_init','jsrmsp_csvExportMain');

/* Csv Export Menu */

function jsrmsp_csvExportMenu(){

	add_submenu_page( 'edit.php?post_type=jsrmsp_sr', 'Export CSV', 'Export csv', 'manage_options', 'jsrmsp_csv_export_page', 'jsrmsp_csv_export_admin_page' );

}

/* Main function - CSV export */

function jsrmsp_csvExportMain(){
	if( isset( $_POST['csves'] ) ){

		if( !empty( $_POST['class'] ) | !empty( $_POST['year'] ) | !empty( $_POST['section'] ) | !empty( $_POST['group'] ) ){
			
			/* Posted data */
				
			query_posts( 
				array( 
					'post_type' => 'jsrmsp_sr',
					'posts_per_page' => -1,
					'classes'   => $_POST['class'],
					'years'     => $_POST['year'],
					'sections'  => $_POST['section'],
					'groups'    => $_POST['group']
				) 
			);
				
			if( is_tax() ) { 
				global $wp_query; 
				$term = $wp_query->get_queried_object(); 
				$title = $term->name; 
			}
			
			if ( have_posts() ) : while ( have_posts() ) : the_post();
				echo the_title();
			endwhile; else:
				echo 'No result found';
			endif;
		}
		else{
			//header('Content-Type: text/csv; charset=utf8');
			header("Content-type: application/vnd.ms-excel; charset=UTF-8");
			header('Content-Disposition: attachment; filename=result-backup.csv');

			// create a file pointer connected to the output stream
			$output = fopen('php://output', 'w');

			// Get total subjects number
			$totalSubjects = get_option('jsrmsp_total_subjects', true);

			$resultC = array('Students Name', get_option('jsrmsp_info_field_1'), get_option('jsrmsp_info_field_2'),get_option('jsrmsp_info_field_3'),get_option('jsrmsp_info_field_4'),get_option('jsrmsp_info_field_5'),get_option('jsrmsp_info_field_6'),get_option('jsrmsp_info_field_7'),get_option('jsrmsp_info_field_8'),get_option('jsrmsp_eclass'),get_option('jsrmsp_eyear'),get_option('jsrmsp_esection'),get_option('jsrmsp_egroup'),get_option('jsrmsp_gpa'),get_option('jsrmsp_student_photo'),get_option('jsrmsp_certificateRow'));


			for ($x = 1; $x <= $totalSubjects; $x++){
				$singleSubject = get_option('jsrmsp_subject_'.$x);
				array_push($resultC, $singleSubject);
			}

			//$line = array_map("utf8_decode", $resultC);
			// output the column headings
			fputcsv($output, $resultC);
			
			$args = array(
				'post_type'      => 'jsrmsp_sr',
				'post_status'    => 'publish',
				'posts_per_page' => -1
			);
			// The Query
			$the_query = new WP_Query( $args );
			
			// Making object
			
			$CsveHelper = new jsrmsp_csv_exporter();
			
			// The Loop
			if ( $the_query->have_posts() ) {
				while ( $the_query->have_posts() ) {
					$the_query->the_post();
					
					$title = get_the_title();
					
					/* Collecting info from Database */
					
					//$id = $CsveHelper->jsrmsp_rid( $nameor );
					$father = $CsveHelper->jsrmsp_meviewer('_jsrmsp_student_father_name');
					$mother = $CsveHelper->jsrmsp_meviewer('_jsrmsp_student_mother_name');
					$type = $CsveHelper->jsrmsp_meviewer('_jsrmsp_student_type');
					$brithdate = $CsveHelper->jsrmsp_meviewer('_jsrmsp_student_birth_date');
					$gender = $CsveHelper->jsrmsp_meviewer('_jsrmsp_student_gender');
					$religion = $CsveHelper->jsrmsp_meviewer('_jsrmsp_student_religion');
					$roll = $CsveHelper->jsrmsp_meviewer('_jsrmsp_student_roll');
					$regno = $CsveHelper->jsrmsp_meviewer('_jsrmsp_student_reg');
					$class = $CsveHelper->jsrmsp_tmviewer('classes');
					$year = $CsveHelper->jsrmsp_tmviewer('years');
					$section = $CsveHelper->jsrmsp_tmviewer('sections');
					$group = $CsveHelper->jsrmsp_tmviewer('groups');
					$gpa = $CsveHelper->jsrmsp_meviewer('_jsrmsp_total_gpa');
					$studentPhoto = $CsveHelper->jsrmsp_meviewer('_jsrmsp_student_photo');
					$certificate = $CsveHelper->jsrmsp_meviewer('_jsrmsp_certificate');
					
					/* Subject info */
					
					$records = array($title, $father, $mother, $type, $brithdate, $gender, $religion, $roll, $regno, $class, $year, $section, $group, $gpa, $studentPhoto, $certificate);

					for ($x = 1; $x <= $totalSubjects; $x++){
						
						$subjectValue = $CsveHelper->jsrmsp_meviewer("_jsrmsp_subject_".$x);
						array_push($records, $subjectValue);
						
					}
					
					/* Writing on csv file */
					//$line = array_map("utf8_decode", $records);
					
					//fprintf($output, chr(0xEF).chr(0xBB).chr(0xBF));
					fputcsv($output, $records);
					
				}
				/* Restore original Post Data */
				wp_reset_postdata();
			} else {
				// no result found
			}
			
			
		}
		
	/* Die script unless it will generate full page as csv */
	die();
	
	}
}

/* Menu page function */

function jsrmsp_csv_export_admin_page() { ?>

	
	<div class="wrap">
		<!-- Some inline style for admin area design -->
		<style type="text/css">
			.jsrmsp-m-title {
			  margin: 0 !important;
			  padding: 8px 12px !important;
			}
			
			.csvcol {
			  float: left;
			  width: 25%;
			}
		</style>
		
		<?php
			// Check form is submitted
			
			if( isset( $_POST['csves'] ) ){
				jsrmsp_csvExportMain();
			?>
				<div id="jsrmsp-imload" class="updated fade">

					<p><img style="height: 15px; vertical-align: middle;" src="<?php echo plugin_dir_url(__FILE__); ?>../assets/images/loader.gif" alt="" />Please wait...</p>

				</div>
			<?php }
		?>
		
	</div><!-- end wrap -->
	
	<div class="wrap">
	
		<h2><?php _e('Export CSV'); ?></h2>
		<!-- Ajax Response Message -->
		<div class="ajax-response-message">
			
		</div>
		<div id="dashboard-widgets-wrap">
			<div class="metabox-holder" id="dashboard-widgets">
			
				<div id="postbox-container" class="postbox-container">
					<div id="side-sortables" class="meta-box-sortables ui-sortable"><div style="display: block;" id="dashboard_quick_press" class="postbox ">
					<h3 class="hndle jsrmsp-m-title" style="cursor: default;"><span><span class="hide-if-no-js">Export to Csv File</span></span></h3>
					<div style="overflow: hidden;" class="inside">

						<form id="jsrmsp-export" class="jsrmsp-import" action="" method="post">

							<div style="margin: 10px 0; overflow: hidden; display: none;" class="input-text-wrap">
								<div class="csvcol">
									<?php
										// Exam Class term
										$terms = get_terms('classes');
										if(!empty($terms) &&!is_wp_error($terms)) { ?>
											<select name="class" id="class" disabled>
											<option value=""><?php _e('Select Exam','jsrmsp-td'); ?></option>';
											<?php
											
												foreach($terms as $term) {
													echo '<option value="'.$term->name.'">'.$term->name.'</option>';
												}
											?>
												</select>
										<?php }
									?>
								</div>
								
								<div class="csvcol">
									<?php
										// Exam Year Term
										$terms = get_terms('years');
										if(!empty($terms) &&!is_wp_error($terms)) { ?>
											<select name="year" id="year" disabled>
											<option value=""><?php _e('Select Year','jsrmsp-td'); ?></option>
											<?php
												foreach($terms as $term) {
													echo '<option value="'.$term->name.'">'.$term->name.'</option>';
												}
											?>
											</select>
										<?php }
									?>
								</div>
								
								<div class="csvcol">
									<?php
										// Exam Section Term
										$terms = get_terms('sections');
										if(!empty($terms) &&!is_wp_error($terms)) { ?>
											<select name="section" id="section" disabled>
											<option value=""><?php _e('Select Section','jsrmsp-td'); ?></option>
											<?php
												foreach($terms as $term) {
													echo '<option value="'.$term->name.'">'.$term->name.'</option>';
												}
											?>
											</select>
										<?php }
									?>
								</div>
								
								<div class="csvcol">
									<?php
										// Exam Groups Term
										$terms = get_terms('groups');
										if(!empty($terms) &&!is_wp_error($terms)) { ?>
											<select name="group" id="group" disabled>
											<option value=""><?php _e('Select Group','jsrmsp-td'); ?></option>
											<?php
												foreach($terms as $term) {
													echo '<option value="'.$term->name.'">'.$term->name.'</option>';
												}
											?>
											</select>
										<?php }
									?>
								</div>
								
							</div>
							<p class="submit">
								<input name="csves" id="csves" class="button button-primary" value="Export All" type="submit">
							</p>
						</form>
					</div>
					</div>
					</div>	
				</div>
			</div>
		</div>
	</div>
	
<?php }