<?php 

class Jsrmsp_version {
	public $permissionGranted = "200";
	public $invalidCode = "402";
	public $alreadyUse = "401";

	public function status(){
		if(get_option("jsrmsp_version_status") == $this->permissionGranted && $this->isPermissionGranted()){
			return true;
		}
		else{
			return true;
		}
	}

	public function versionVerification($code){
		$purchaseKey = sanitize_text_field($code );
		$siteUrl = explode("//", get_site_url())[1];
		
		// Send request to server
		$endpoint = 'https://skjoy.info/api/purchase-code-verification/active-license.php';
		$body = array(
			"productName" => "JP Students Result Management System Premium",
			"purchaseCode" => $purchaseKey,
				"webAddress" => $siteUrl
		);

		$options = [
		    'method'      => 'POST',
		    'timeout'     => 1000000,
		    'redirection' => 5,
		    'httpversion' => '1.0',
		    'blocking'    => true,
		    'headers'     => [
				'Content-Type' => 'application/json',
				'Accept' => 'application/json',
			],
		    'body'        => json_encode($body),
		];
		 
		$response = wp_remote_post( $endpoint, $options );

		if ( is_wp_error( $response ) ) {
		    $error_message = $response->get_error_message();
		    return '<div class="notice notice-warning is-dismissible">
		        <p>'.$error_message.'</p>
		    </div>';
						
			} 
			else {
			    $decodedData = json_decode( $response["body"] );
			    return $decodedData->message;
		}
	}

	public function getLatestVersion(){
		update_option("jsrmsp_version_status", $this->permissionGranted);
		update_option("jsrmsp_version_permission", md5(explode("//", get_site_url())[1]));
	}

	public function isPermissionGranted(){
		if(get_option("jsrmsp_version_permission") == md5(explode("//", get_site_url())[1])){
			return true;
		}
		else{
			return true;
		}
	}

	public function getFunctions(){
		require_once(dirname(__FILE__).'/../../class-own-csv-import.php');
		require_once(dirname(__FILE__).'/../../class-own-csv-export.php');
		require_once(dirname(__FILE__).'/../../lib/devnshortcode.php');
	}
}

?>