<?php
class jsrmsp_functions {
    public function __construct() {
        require_once('../fields/helpers/jsrmsp_version.php');
        $jsrmspVersion = new Jsrmsp_version();
        if ($jsrmspVersion->status() && $jsrmspVersion->isPermissionGranted()) {
            // Check for updates
            if (!wp_next_scheduled('jsrmsp_update_check_hook')) {
                wp_schedule_event(time(), 'daily', 'jsrmsp_update_check_hook');
            }
            add_action('jsrmsp_update_check_hook', array($this, 'jsrmsp_checkUpdate'));

            // Import necessary classes
            require_once('includes/class-own-csv-import.php');
            require_once('includes/class-own-csv-export.php');
            require_once('includes/lib/devnshortcode.php');
        }
    }

    public function jsrmsp_checkUpdate() {
        $serverVersion = get_option("serverVersion");
        $endpoint = 'https://skjoy.info/jsrmsp-update/index.php';

        $options = array(
            'method'      => 'POST',
            'timeout'     => 1000,
            'redirection' => 5,
            'httpversion' => '1.0',
            'blocking'    => true,
            'headers'     => array(),
            'body'        => array(
                'request' => 'jsrmsp_udinfo'
            ),
        );

        $response = wp_remote_post($endpoint, $options);

        if (!is_wp_error($response)) {
            $decodedData = json_decode($response["body"]);
            $serverVersion = isset($decodedData->version) ? $decodedData->version : $serverVersion;
            update_option("serverVersion", $serverVersion);
        }
    }
}

new jsrmsp_functions();