<?php
 
/* --------------------------------------------------------------
-------------- Change custom post type title placeholder --------
--------------------------------------------------------------- */

function jsrmsp_change_default_title($title) {
	$screen = get_current_screen();
	if('jsrmsp_sr' == $screen->post_type) {
		$title = 'Enter student name';
	}
	return $title;
}

add_filter('enter_title_here','jsrmsp_change_default_title');

/* -----------------------------------------------------------------
---------------- Register new post type Result ---------------------
------------------------------------------------------------------- */
 
function jsrmsp_students_result_reg() {
  $labels = array(
    'name'               => _x( 'Students Result', 'jsrmsp-td' ),
    'singular_name'      => _x( 'Students Result', 'jsrmsp-td' ),
    'add_new'            => _x( 'Add New Result', 'jsrmsp-td' ),
    'add_new_item'       => __( 'Add New Result','jsrmsp-td'),
    'edit_item'          => __( 'Edit Result','jsrmsp-td'),
    'new_item'           => __( 'New Result','jsrmsp-td'),
    'all_items'          => __( 'All Students Result','jsrmsp-td'),
    'view_item'          => __( 'View Result','jsrmsp-td'),
    'search_items'       => __( 'Search Results','jsrmsp-td'),
    'not_found'          => __( 'No result found','jsrmsp-td'),
    'not_found_in_trash' => __( 'No result found in the Trash','jsrmsp-td'), 
    'parent_item_colon'  => '',
    'menu_name'          => __('Students Result','jsrmsp-td')
  );
  $args = array(
    'labels'        => $labels,
    'exclude_from_search' => true,
    'description'   => 'Add new custom post type students result',
    'public'        => true,
    'menu_position' => 5,
    'supports'      => array( 'thumbnail','title', ),
	'taxonomies' => array(  'classes','years','sections','groups' ),
    'has_archive'   => true,
	'menu_icon' => JP_SRMS_PATH.'assets/images/students_result.png'
  );
  register_post_type( 'jsrmsp_sr', $args ); 
}
add_action( 'init', 'jsrmsp_students_result_reg' );

/* Load file */
require_once('tax.php');


/* ----------------------------------------------------
------- Change student result upadate message ---------
----------------------------------------------------- */

function jsrmsp_students_result_update_message( $messages ) {
  global $post, $post_ID;
  $messages['jsrmsp_sr'] = array(
    0 => '', 
    1 => sprintf( __('Result updated. <a href="%s">View result</a>','jsrmsp-td'), esc_url( get_permalink($post_ID) ) ),
    2 => __('Custom field updated.','jsrmsp-td'),
    3 => __('Custom field deleted.','jsrmsp-td'),
    4 => __('Result updated.','jsrmsp-td'),
    5 => isset($_GET['revision']) ? sprintf( __('Result restored to revision from %s','jsrmsp-td'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
    6 => sprintf( __('Result published. <a href="%s">View result</a>','jsrmsp-td'), esc_url( get_permalink($post_ID) ) ),
    7 => __('Result saved.'),
    8 => sprintf( __('Result submitted. <a target="_blank" href="%s">Preview result</a>','jsrmsp-td'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
    9 => sprintf( __('Result scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview result</a>','jsrmsp-td'), date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
    10 => sprintf( __('Result draft updated. <a target="_blank" href="%s">Preview result</a>','jsrmsp-td'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
  );
  return $messages;
}
add_filter( 'post_updated_messages', 'jsrmsp_students_result_update_message' );



/* --------------------------------------------------------------------------------------------------------------
-------------- Add All Custom Taxnomy Filter to All Result Listing page for quickly finding any result ----------
--------------------------------------------------------------------------------------------------------------- */


function jsrmsp_all_custom_taxnomy_filter() {
    global $typenow;
    $args=array( 'public' => true, '_builtin' => false ); 
    $post_types = get_post_types($args);
    if ( in_array($typenow, $post_types) ) {
    $filters = get_object_taxonomies($typenow);
       
	   foreach ($filters as $tax_slug) {
            $tax_obj = get_taxonomy($tax_slug);
            wp_dropdown_categories(array(
                'show_option_all' => __('Show All '.$tax_obj->label ),
                'taxonomy' => $tax_slug,
                'name' => $tax_obj->name,
                'orderby' => 'name',
                'selected' => isset($_GET[$tax_obj->query_var]) ? $_GET[$tax_obj->query_var]: '',
                'hierarchical' => $tax_obj->hierarchical,
                'show_count' => true,
                'hide_empty' => false
            ));
        }
    }
}
function jsrmsp_convert_restrict($query) {
    global $pagenow;
    global $typenow;
    if ($pagenow=='edit.php') {
        $filters = get_object_taxonomies($typenow);
        foreach ($filters as $tax_slug) {
            $var = &$query->query_vars[$tax_slug];
            if ( isset($var) ) {
                $term = get_term_by('id',$var,$tax_slug);
                $var = !empty($term->slug) ? $term->slug : '';
            }
        }
    }
    return $query;
}
add_action( 'restrict_manage_posts', 'jsrmsp_all_custom_taxnomy_filter' );
add_filter('parse_query','jsrmsp_convert_restrict');