<?php
/************************************************
********* Purchase Verification
*************************************************/

// Add submenu page for license activation
function jsrmsp_license_admin_menu() {
    add_submenu_page('edit.php?post_type=jsrmsp_sr', 'Activate License', 'License Activation', 'manage_options', 'jsrmsp_license_admin_page', 'jsrmsp_license_page');
}
add_action('admin_menu', 'jsrmsp_license_admin_menu');

// License activation page content
function jsrmsp_license_page() {
    $jsrmspVersion = new Jsrmsp_version();
    $status = $jsrmspVersion->status();

    if (!$status) :
    ?>
        <div class="wrap">
            <h2><?php _e('Activate License', 'jsrmsp-td'); ?></h2>
            <?php

            if (isset($_POST["submit"]) && isset($_POST['jsrmsp_purchase_key']) && !empty($_POST['jsrmsp_purchase_key'])) {
                $code = $_POST['jsrmsp_purchase_key'];
                $verification = $jsrmspVersion->versionVerification($code);

                if ($verification == $jsrmspVersion->permissionGranted) {
                    $jsrmspVersion->getLatestVersion();
                    echo "<script type='text/javascript'>window.location=document.location.href;</script>";
                } elseif ($verification == $jsrmspVersion->invalidCode) {
                    echo '<div class="notice notice-error is-dismissible"><p>Invalid Purchase Code</p></div>';
                } elseif ($verification == $jsrmspVersion->alreadyUse) {
                    echo '<div class="notice notice-error is-dismissible"><p>This Purchase Code has been used on another site. You have purchased a regular license and can only use one web site.</p></div>';
                } else {
                    echo $verification;
                }
            }

            ?>
            <form method="post" action="">
                <table class="form-table">
                    <tbody>
                        <tr valign="top">
                            <th scope="row" valign="top">
                                <?php _e('Purchase Code', 'jsrmsp-td'); ?>
                            </th>
                            <td>
                                <input id="jsrmsp_license_key" name="jsrmsp_purchase_key" type="text" class="regular-text" placeholder="XXX-XXX-XXX-XXX-XXX" value="" required="" />
                                <label class="description" for="jsrmsp_license_key"><?php _e('Enter your purchase code'); ?></label>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <p><?php _e('You have to enter a valid Purchase Code to avail all the features. You will find the Purchase Code in the download section of CodeCanyon.'); ?></p>

                <?php submit_button("Activate"); ?>
            </form>
        <?php else : ?>
        <div class="notice notice-success" style="margin-top: 50px">
            <p><?php _e('License Activated...Enjoy...', 'jsrmsp-td'); ?></p>
        </div>
    <?php endif;
}

// Show license activation message
function jsrmsp_license_activation_notice() {
    $status = new Jsrmsp_version();

    if (!$status->status()) :  ?>
        <div class="notice notice-warning is-dismissible">
            <p><?php _e('Thanks for using <b>JP Students Result Management System Premium</b>! First activate your copy to avail all the features.', 'jsrmsp-td'); ?> <a style="text-decoration: none;" class="update-link" href="edit.php?post_type=jsrmsp_sr&page=jsrmsp_license_admin_page">Activate now</a></p>
        </div>
<?php endif;
}
add_action('admin_notices', 'jsrmsp_license_activation_notice');