<?php
	
/* ---------------------------------------------
------------ Add Students Classes --------------
---------------------------------------------- */

add_action( 'init', 'jsrmsp_students_classes_reg', 0 );

function jsrmsp_students_classes_reg() {
	// Classes taxonomy
	$labels = array(
		'name'              => _x( get_option('jsrmsp_eclass'), 'jsrmsp-td' ),
		'singular_name'     => _x( get_option('jsrmsp_eclass'), 'jsrmsp-td' ),
		'search_items'      => __( 'Search '.get_option('jsrmsp_eclass') ,'jsrmsp-td'),
		'all_items'         => __( 'All '.get_option('jsrmsp_eclass') ,'jsrmsp-td'),
		'parent_item'       => __( 'Parent '.get_option('jsrmsp_eclass') ,'jsrmsp-td'),
		'parent_item_colon' => __( 'Parent '.get_option('jsrmsp_eclass').':' ,'jsrmsp-td'),
		'edit_item'         => __( 'Edit '.get_option('jsrmsp_eclass') ,'jsrmsp-td'),
		'update_item'       => __( 'Update '.get_option('jsrmsp_eclass') ,'jsrmsp-td'),
		'add_new_item'      => __( 'Add New '.get_option('jsrmsp_eclass') ,'jsrmsp-td'),
		'new_item_name'     => __( 'New '.get_option('jsrmsp_eclass') ,'jsrmsp-td'),
		'menu_name'         => __( get_option('jsrmsp_eclass') ,'jsrmsp-td'),
	);
	
	register_taxonomy( 'classes', 'jsrmsp_sr', array(
		'hierarchical' => true,
		'labels' => $labels,
		'query_var' => true,
		'rewrite' => true,
		'show_admin_column' => true	
	) );
	
}

/* ---------------------------------------
------- Add students result year ---------
--------------------------------------- */

add_action( 'init', 'jsrmsp_students_result_year_reg', 0 );

function jsrmsp_students_result_year_reg() {
	// Years taxonomy
	$labels = array(
		'name'              => _x( get_option('jsrmsp_eyear'), 'jsrmsp-td' ),
		'singular_name'     => _x( get_option('jsrmsp_eyear'), 'jsrmsp-td' ),
		'search_items'      => __( 'Search '.get_option('jsrmsp_eyear') ,'jsrmsp-td'),
		'all_items'         => __( 'All '.get_option('jsrmsp_eyear') ,'jsrmsp-td'),
		'parent_item'       => __( 'Parent '.get_option('jsrmsp_eyear') ,'jsrmsp-td'),
		'parent_item_colon' => __( 'Parent '.get_option('jsrmsp_eyear').':' ,'jsrmsp-td'),
		'edit_item'         => __( 'Edit '.get_option('jsrmsp_eyear') ,'jsrmsp-td'),
		'update_item'       => __( 'Update '.get_option('jsrmsp_eyear') ,'jsrmsp-td'),
		'add_new_item'      => __( 'Add New '.get_option('jsrmsp_eyear') ,'jsrmsp-td'),
		'new_item_name'     => __( 'New '.get_option('jsrmsp_eyear') ,'jsrmsp-td'),
		'menu_name'         => __( get_option('jsrmsp_eyear') ,'jsrmsp-td'),
	);
	
	register_taxonomy( 'years', 'jsrmsp_sr', array(
		'hierarchical' => true,
		'labels' => $labels,
		'query_var' => true,
		'rewrite' => true,
		'show_admin_column' => true	
	) );
	
}

/* -------------------------------------------
------- Add students result Sections ---------
------------------------------------------- */

add_action( 'init', 'jsrmsp_students_result_sections', 0 );
function jsrmsp_students_result_sections() {
	// Sections taxonomy
	$labels = array(
		'name'              => _x( get_option('jsrmsp_esection'), 'jsrmsp-td' ),
		'singular_name'     => _x( get_option('jsrmsp_esection'), 'jsrmsp-td' ),
		'search_items'      => __( 'Search '.get_option('jsrmsp_esection'),'jsrmsp-td'),
		'all_items'         => __( 'All '.get_option('jsrmsp_esection'),'jsrmsp-td'),
		'parent_item'       => __( 'Parent '.get_option('jsrmsp_esection'),'jsrmsp-td'),
		'parent_item_colon' => __( 'Parent '.get_option('jsrmsp_esection').':' ,'jsrmsp-td'),
		'edit_item'         => __( 'Edit '.get_option('jsrmsp_esection'),'jsrmsp-td'),
		'update_item'       => __( 'Update '.get_option('jsrmsp_esection'),'jsrmsp-td'),
		'add_new_item'      => __( 'Add New '.get_option('jsrmsp_esection'),'jsrmsp-td'),
		'new_item_name'     => __( 'New '.get_option('jsrmsp_esection'),'jsrmsp-td'),
		'menu_name'         => __( get_option('jsrmsp_esection'),'jsrmsp-td'),
	);
	
	register_taxonomy( 'sections', 'jsrmsp_sr', array(
		'hierarchical' => true,
		'labels' => $labels,
		'query_var' => true,
		'rewrite' => true,
		'show_admin_column' => true	
	) );
	
}

/* -----------------------------------------
------- Add students result Groups ---------
------------------------------------------ */

add_action( 'init', 'jsrmsp_students_result_groups', 0 );
function jsrmsp_students_result_groups() {
	// Groups taxonomy
	$labels = array(
		'name'              => _x( get_option('jsrmsp_egroup'), 'jsrmsp-td' ),
		'singular_name'     => _x( get_option('jsrmsp_egroup'), 'jsrmsp-td' ),
		'search_items'      => __( 'Search '.get_option('jsrmsp_egroup'),'jsrmsp-td'),
		'all_items'         => __( 'All '.get_option('jsrmsp_egroup'),'jsrmsp-td'),
		'parent_item'       => __( 'Parent '.get_option('jsrmsp_egroup'),'jsrmsp-td'),
		'parent_item_colon' => __( 'Parent '.get_option('jsrmsp_egroup').':' ,'jsrmsp-td'),
		'edit_item'         => __( 'Edit '.get_option('jsrmsp_egroup'),'jsrmsp-td'),
		'update_item'       => __( 'Update '.get_option('jsrmsp_egroup'),'jsrmsp-td'),
		'add_new_item'      => __( 'Add New '.get_option('jsrmsp_egroup'),'jsrmsp-td'),
		'new_item_name'     => __( 'New '.get_option('jsrmsp_egroup'),'jsrmsp-td'),
		'menu_name'         => __( get_option('jsrmsp_egroup'),'jsrmsp-td'),
	);
	
	register_taxonomy( 'groups', 'jsrmsp_sr', array(
		'hierarchical' => true,
		'labels' => $labels,
		'query_var' => true,
		'rewrite' => true,
		'show_admin_column' => true	
	) );
	
}