<?php
/*
	Class: Search Form
*/

class jsrmsp_search_form{

	// Fields for template based search form
	public function examFieldT(){ ?>
		<div class="jsrmsp-form-row fix">
			<label for="exam-class"><?php echo get_option('jsrmsp_examination'); ?></label>
			<span class="seperator">:</span>
			<?php
				// Exam Class term
				$terms = get_terms('classes');
				if(!empty($terms) &&!is_wp_error($terms)) { ?>
					<select name="exam_class" id="exam-class" required>
					<option value=""><?php esc_html_e('Select','jsrmsp-td'); ?></option>
					<?php
					
						foreach($terms as $term) {
							echo '<option value="'.$term->name.'">'.$term->name.'</option>';
						}
					?>
						</select>
				<?php }
				else{ ?>
					<select name="" id="">
						<option value=""><?php esc_html_e('Select','jsrmsp-td'); ?></option>
					</select>
				<?php }
			?>
		</div>
	<?php }

	public function yearFieldT(){ ?>
		<div class="jsrmsp-form-row fix">
			<label for="exam-year"><?php echo get_option('jsrmsp_year'); ?></label>
			<span class="seperator">:</span>
			<?php
				// Exam Year Term
				$terms = get_terms('years');
				if(!empty($terms) &&!is_wp_error($terms)) { ?>
					<select name="exam_year" id="exam-year" required>
					<option value=""><?php esc_html_e('Select','jsrmsp-td'); ?></option>
					<?php
						foreach($terms as $term) {
							echo '<option value="'.$term->name.'">'.$term->name.'</option>';
						}
					?>
					</select>
				<?php }
				else{ ?>
					<select name="" id="">
						<option value=""><?php esc_html_e('Select','jsrmsp-td'); ?></option>
					</select>
				<?php }
			?>
		</div>
	<?php }

	public function sectionFieldT(){ ?>
		<div class="jsrmsp-form-row fix">
			<label for="section"><?php echo get_option('jsrmsp_section'); ?></label>
			<span class="seperator">:</span>
			<?php
				// Exam Section Term
				$terms = get_terms('sections');
				if(!empty($terms) &&!is_wp_error($terms)) { ?>
					<select name="section" id="section" required>
					<option value=""><?php esc_html_e('Select','jsrmsp-td'); ?></option>
					<?php
						foreach($terms as $term) {
							echo '<option value="'.$term->name.'">'.$term->name.'</option>';
						}
					?>
					</select>
				<?php }
				else{ ?>
					<select name="" id="">
						<option value=""><?php esc_html_e('Select','jsrmsp-td'); ?></option>
					</select>
				<?php }
			?>
		</div>
	<?php }

	public function groupFieldT(){ ?>
		<div class="jsrmsp-form-row fix">
			<label for="group"><?php echo get_option('jsrmsp_group'); ?></label>
			<span class="seperator">:</span>
			<?php
				// Exam Groups Term
				$terms = get_terms('groups');
				if(!empty($terms) &&!is_wp_error($terms)) { ?>
					<select name="group" id="group" required>
					<option value=""><?php esc_html_e('Select','jsrmsp-td'); ?></option>
					<?php
						foreach($terms as $term) {
							echo '<option value="'.$term->name.'">'.$term->name.'</option>';
						}
					?>
					</select>
				<?php }
				else{ ?>
					<select name="" id="">
						<option value=""><?php esc_html_e('Select','jsrmsp-td'); ?></option>
					</select>
				<?php }
			?>
		</div>
	<?php }

	public function rollFieldT(){ ?>
		<div class="jsrmsp-form-row fix">
			<label for="exam-roll"><?php echo get_option('jsrmsp_roll'); ?></label>
			<span class="seperator">:</span>
			<input type="text" name="exam_roll" id="exam-roll" required />
		</div>
	<?php }

	public function regFieldT(){ ?>
		<div class="jsrmsp-form-row fix">
			<label for="exam-reg"><?php echo get_option('jsrmsp_reg'); ?></label>
			<span class="seperator">:</span>
			<input type="text" name="exam_reg" id="exam-reg" required />
		</div>
	<?php }

	public function fullNameFieldT(){ ?>
		<div class="jsrmsp-form-row fix">
			<label for="students-name"><?php echo get_option('jsrmsp_fullname'); ?></label>
			<span class="seperator">:</span>
			<input type="text" name="students_name" id="students-name" required />
		</div>
	<?php }

	public function dobFieldT(){ ?>
		<div class="jsrmsp-form-row fix">
			<label for="students-dobirth"><?php echo get_option('jsrmsp_birthdate'); ?></label>
			<span class="seperator">:</span>
			<input type="text" name="students_dobirth" id="students-dobirth" placeholder="dd/mm/yyyy" required />
		</div>
	<?php }
	
	// Custom page template based search form
	public function search_form( $mode = "default" ){
		if( $mode == "default" ){ 
			
			$this->examFieldT();
			$this->yearFieldT();
			$this->rollFieldT();
		}
		if( $mode == "roll" ){ 
			$this->rollFieldT();
		}
		if( $mode == "reg" ){ 
			$this->regFieldT();
		}
		if( $mode == "rollnreg" ){
			$this->rollFieldT();
			$this->regFieldT();
		}
		if( $mode == "namenbirth" ){ 
			$this->fullNameFieldT();
			$this->dobFieldT();
		}
		if( $mode == "regnbirth" ){ 
			$this->regFieldT();
			$this->dobFieldT();
		}
		if( $mode == "all" ){ 
			$this->examFieldT();
			$this->yearFieldT();
			$this->sectionFieldT();
			$this->groupFieldT();
			$this->rollFieldT();
		}
		if( $mode == "exrollnreg" ){ 
			$this->examFieldT();
			$this->regFieldT();
			$this->rollFieldT();
		}
	}

	// Fields for shortcode based search form
	public function examFieldS(){ ?>
		<tr>
			<td><label for="nonp-exam-class"><?php echo get_option('jsrmsp_examination'); ?></td>
			<td>
				<?php
					// Exam Class term
					$terms = get_terms('classes');
					if(!empty($terms) &&!is_wp_error($terms)) { ?>
						<select name="exam_class" id="nonp-exam-class" required>
						<option value=""><?php esc_html_e('Select','jsrmsp-td'); ?></option>
						<?php 
							foreach($terms as $term) {
								echo '<option value="'.$term->name.'">'.$term->name.'</option>';
							}
						?>
						</select>
					<?php }
				?>
			</td>
		</tr>
	<?php }

	public function yearFieldS(){ ?>
		<tr>
			<td><label for="nonp-exam-year"><?php echo get_option('jsrmsp_year'); ?></td>
			<td>
				<?php
					// Exam Year Term
					$terms = get_terms('years');
					if(!empty($terms) &&!is_wp_error($terms)) { ?>
						<select name="exam_year" id="nonp-exam-year" required>
						<option value=""><?php esc_html_e('Select','jsrmsp-td'); ?></option>
						<?php
							foreach($terms as $term) {
								echo '<option value="'.$term->name.'">'.$term->name.'</option>';
							}
						?>
						</select>
					<?php }
				?>
			</td>
		</tr>
	<?php }
	
	public function rollFieldS(){ ?>
		<tr>
			<td><label for="nonp-exam-roll"><?php echo get_option('jsrmsp_roll'); ?></label></td>
			<td>
				<input type="text" id="nonp-exam-roll" name="exam_roll" placeholder="Enter..." required />
			</td>
		</tr>
	<?php }

	public function searchBtnS(){ ?>
		<tr>
			<td><input type="submit" value="<?php if(get_option('jsrmsp_searchBtn')){ echo get_option('jsrmsp_searchBtn'); } else { echo 'Search'; } ?>" class="result-submit-btn" name="result_form" /></td>
			<td><p style="margin: 0; line-height: 40px;" class="loader">Searching...Please wait... <img style="margin-top: 2px !important" class="rloader" src="<?php echo plugin_dir_url(__FILE__).'../images/spinner.gif' ?>" alt="" /></p></td>
		</tr>
	<?php }

	public function regFieldS(){ ?>
		<tr>
			<td><label for="nonp-exam-reg"><?php echo get_option('jsrmsp_reg'); ?></label></td>
			<td>
				<input type="text" id="nonp-exam-reg" name="exam_reg" placeholder="Enter..." required />
			</td>
		</tr>
	<?php }

	public function sectionFieldS(){ ?>
		<tr>
			<td><label for="nonp-exam-section"><?php echo get_option('jsrmsp_section'); ?></label></td>
			<td>
				<?php
					// Exam Class term
					$terms = get_terms('sections');
					if(!empty($terms) &&!is_wp_error($terms)) { ?>
						<select name="exam_class" id="nonp-exam-section" required>
						<option value=""><?php esc_html_e('Select','jsrmsp-td'); ?></option>
						<?php 
							foreach($terms as $term) {
								echo '<option value="'.$term->name.'">'.$term->name.'</option>';
							}
						?>
						</select>
					<?php }
				?>
			</td>
		</tr>
	<?php }

	public function groupFieldS(){ ?>
		<tr>
			<td><label for="nonp-exam-group"><?php echo get_option('jsrmsp_group'); ?></label></td>
			<td>
				<?php
					// Exam Year Term
					$terms = get_terms('groups');
					if(!empty($terms) &&!is_wp_error($terms)) { ?>
						<select name="exam_year" id="nonp-exam-group" required>
						<option value=""><?php esc_html_e('Select','jsrmsp-td'); ?></option>
						<?php
							foreach($terms as $term) {
								echo '<option value="'.$term->name.'">'.$term->name.'</option>';
							}
						?>
						</select>
					<?php }
				?>
			</td>
		</tr>
	<?php }

	public function fullNameFieldS(){ ?>
		<tr>
			<td><label for="nonp-student-name"><?php echo get_option('jsrmsp_fullname'); ?></label></td>
			<td>
				<input type="text" id="nonp-student-name" name="student_fullname" placeholder="Enter..." required />
			</td>
		</tr>
	<?php }

	public function dobFieldS(){ ?>
		<tr>
			<td><label for="nonp-birth-date"><?php echo get_option('jsrmsp_birthdate'); ?></label></td>
			<td>
				<input type="text" id="nonp-birth-date" name="student_birthdate" placeholder="DD/MM/YYYY" required />
			</td>
		</tr>
	<?php }

	// Shortcode based Search form
	public function search_form_In( $mode = "default" ){
		
		if( $mode == "default" ){ 
			$this->examFieldS();
			$this->yearFieldS();
			$this->rollFieldS();
			$this->searchBtnS();
		}
		if( $mode == "roll" ){
			$this->rollFieldS();
			$this->searchBtnS();
		}
		if( $mode == "reg" ){ 
			$this->regFieldS();
			$this->searchBtnS();
		}
		if( $mode == "rollnreg" ){ 
			$this->rollFieldS();
			$this->regFieldS();
			$this->searchBtnS();
		}
		if( $mode == "namenbirth" ){ 
			$this->fullNameFieldS();
			$this->dobFieldS();
			$this->searchBtnS();
		}
		if( $mode == "regnbirth" ){ 
			$this->regFieldS();
			$this->dobFieldS();
			$this->searchBtnS();
		}
		if( $mode == "all" ){
			$this->examFieldS();
			$this->yearFieldS();
			$this->sectionFieldS();
			$this->groupFieldS();
			$this->rollFieldS();
			$this->searchBtnS();
		}
		if( $mode == "exrollnreg" ){ 
			$this->examFieldS();
			$this->regFieldS();
			$this->rollFieldS();
			$this->searchBtnS();
		}
	}

	// Fields for android app

	public function examFieldA(){ 
		$taxnomy_name = get_option('jsrmsp_examination');
		// Exam Class term
		$terms = get_terms('classes');
		if(!empty($terms) &&!is_wp_error($terms)) {
			$termList = array();
			foreach ($terms as $term) {
				$termData = array(
					"name" => $term->name,
					"slug" => $term->slug,

				);
				array_push($termList, $termData);
			}

			return $data = array(
				"exam_name" => $taxnomy_name,
				"exam_list" => $termList
			);
		}
		else{ 
			 return $data = array(
				"exam_name" => $taxnomy_name,
				"exam_list" => null
			);
		} 
	}

	public function yearFieldA(){ 
		$taxnomy_name = get_option('jsrmsp_year');
		// Exam Class term
		$terms = get_terms('years');
		if(!empty($terms) &&!is_wp_error($terms)) {
			$termList = array();
			foreach ($terms as $term) {
				$termData = array(
					"name" => $term->name,
					"slug" => $term->slug,

				);
				array_push($termList, $termData);
			}

			return $data = array(
				"year_name" => $taxnomy_name,
				"year_list" => $termList
			);
		}
		else{ 
			 return $data = array(
				"year_name" => $taxnomy_name,
				"year_list" => null
			);
		}  

	}

	public function groupFieldA(){
		$taxnomy_name = get_option('jsrmsp_group');
		// Exam Class term
		$terms = get_terms('groups');
		if(!empty($terms) &&!is_wp_error($terms)) {
			$termList = array();
			foreach ($terms as $term) {
				$termData = array(
					"name" => $term->name,
					"slug" => $term->slug,

				);
				array_push($termList, $termData);
			}

			return $data = array(
				"group_name" => $taxnomy_name,
				"group_list" => $termList
			);
		}
		else{ 
			 return $data = array(
				"group_name" => $taxnomy_name,
				"group_list" => null
			);
		}  
	}

	public function sectionFieldA(){ 
		$taxnomy_name = get_option('jsrmsp_section');
		// Exam Class term
		$terms = get_terms('sections');
		if(!empty($terms) &&!is_wp_error($terms)) {
			$termList = array();
			foreach ($terms as $term) {
				$termData = array(
					"name" => $term->name,
					"slug" => $term->slug,

				);
				array_push($termList, $termData);
			}
			return $data = array(
				"section_name" => $taxnomy_name,
				"section_list" => $termList
			);
		}
		else{ 
			 return $data = array(
				"section_name" => $taxnomy_name,
				"section_list" => null
			);
		} 
	}

	public function rollFieldA(){ 
		return $data = array(
			"roll_name" => get_option("jsrmsp_roll"),
		);
	}

	public function regFieldA(){ 
		return $data = array(
			"reg_name" => get_option("jsrmsp_reg"),
		);
	}

	public function fullNameFieldA(){ 
		return $data = array(
			"full_name" => get_option("jsrmsp_fullname"),
		);
	}

	public function dobFieldA(){
		return $data = array(
			"brithdate_name" => get_option("jsrmsp_birthdate"),
		);
	 
	}

	public function searchBtnA(){
		return $data = array(
			"button_name" => get_option("jsrmsp_searchBtn"),
		);
	}

	public function getLogoUrl(){
		$logo = get_option('jsrmsp_app_logo'); 
		if($logo) { 
			return wp_get_attachment_url($logo); 
		} else{
			return 'https://skjoy.info/wp-content/uploads/2023/10/jsrmsp-app-logo.png'; 
		}
	}
	
	// Search form for Android app
	public function search_form_app( $mode = "default" ){
		$noticeText = get_option("jsrmsp_appNoticeText");
		if( $mode == "default" ){ 
			echo json_encode(array(
				"notice_text" => $noticeText,
				"mode" => $mode,
				"exam_data" => $this->examFieldA(),
				"year_data" => $this->yearFieldA(),
				"roll_data" => $this->rollFieldA(),
				"button_data" => $this->searchBtnA(),
				'logo_url' => $this->getLogoUrl()
			));
		}
		if( $mode == "roll" ){
			echo json_encode(array(
				"notice_text" => $noticeText,
				"mode" => $mode,
				"roll_data" => $this->rollFieldA(),
				"button_data" => $this->searchBtnA(),
				'logo_url' => $this->getLogoUrl()
			));
		}
		if( $mode == "reg" ){ 
			echo json_encode(array(
				"notice_text" => $noticeText,
				"mode" => $mode,
				"reg_data" => $this->regFieldA(),
				"button_data" => $this->searchBtnA(),
				'logo_url' => $this->getLogoUrl()
			));
		}
		if( $mode == "rollnreg" ){ 
			echo json_encode(array(
				"notice_text" => $noticeText,
				"mode" => $mode,
				"roll_data" => $this->rollFieldA(),
				"reg_data" => $this->regFieldA(),
				"button_data" => $this->searchBtnA(),
				'logo_url' => $this->getLogoUrl()
			));
		}
		if( $mode == "namenbirth" ){ 
			echo json_encode(array(
				"notice_text" => $noticeText,
				"mode" => $mode,
				"full_name_data" => $this->fullNameFieldA(),
				"brithdate_data" => $this->dobFieldA(),
				"button_data" => $this->searchBtnA(),
				'logo_url' => $this->getLogoUrl()
			));
		}
		if( $mode == "all" ){
			echo json_encode(array(
				"notice_text" => $noticeText,
				"mode" => $mode,
				"exam_data" => $this->examFieldA(),
				"year_data" => $this->yearFieldA(),
				"section_data" => $this->sectionFieldA(),
				"group_data" => $this->groupFieldA(),
				"roll_data" => $this->rollFieldA(),
				"button_data" => $this->searchBtnA(),
				'logo_url' => $this->getLogoUrl()
			));
		}
		if( $mode == "exrollnreg" ){ 
			echo json_encode(array(
				"notice_text" => $noticeText,
				"mode" => $mode,
				"exam_data" => $this->examFieldA(),
				"reg_data" => $this->regFieldA(),
				"roll_data" => $this->rollFieldA(),
				"button_data" => $this->searchBtnA(),
				'logo_url' => $this->getLogoUrl()
			));
		}
		if( $mode == "regnbirth" ){ 
			echo json_encode(array(
				"notice_text" => $noticeText,
				"mode" => $mode,
				"reg_data" => $this->regFieldA(),
				"brithdate_data" => $this->dobFieldA(),
				"button_data" => $this->searchBtnA(),
				'logo_url' => $this->getLogoUrl()
			));
		}
	}
}
?>