<?php

/*
	Class: Search query
*/

class jsrmsp_searchQuery{
	
	public function makeQuery($queryType,$class,$year,$section,$group,$roll,$reg, $title, $birthdate){
		
		if($queryType == 'default'){
			query_posts( 
				array( 
					'post_type'   => 'jsrmsp_sr',
					'post_status' => 'publish',
					'years'       => $year,
					'classes'     => $class,
					'meta_key'    => '_jsrmsp_student_roll',
					'meta_query'  => array(
					   array(
							'key'   => '_jsrmsp_student_roll',
							'value' => $roll,
					   )),
					'posts_per_page' => 1
				) 
			);
		}
		
		if($queryType == 'roll'){
			query_posts( 
				array( 
					'post_type'   => 'jsrmsp_sr',
					'post_status' => 'publish',
					'meta_key'    => '_jsrmsp_student_roll',
					'meta_query'  => array(
					   array(
							'key'   => '_jsrmsp_student_roll',
							'value' => $roll,
					   )),
					'posts_per_page' => 1
				) 
			);
		}

		if($queryType == 'reg'){
			query_posts( 
				array( 
					'post_type'   => 'jsrmsp_sr',
					'post_status' => 'publish',
					'meta_key'    => '_jsrmsp_student_reg',
					'meta_query'  => array(
					   array(
							'key'   => '_jsrmsp_student_reg',
							'value' => $reg,
					   )),
					'posts_per_page' => 1
				) 
			);
		}

		if($queryType == 'rollnreg'){
			query_posts( 
				array( 
					'post_type'   => 'jsrmsp_sr',
					'post_status' => 'publish',
					'meta_query'  => array(
						'relation' => 'AND',
					   array(
							'key'   => '_jsrmsp_student_roll',
							'value' => $roll,
					   ),
					   array(
							'key'   => '_jsrmsp_student_reg',
							'value' => $reg,
					   )
					),
					'posts_per_page' => 1
				) 
			);
		}
		
		if($queryType == 'all'){
			query_posts( 
				array( 
					'post_type' => 'jsrmsp_sr',
					'post_status' => 'publish',
					'years' => $year,
					'classes' => $class,
					'sections' => $section,
					'groups' => $group,
					'meta_key' => '_jsrmsp_student_roll',
					'meta_query' => array(
					   array(
						   'key' => '_jsrmsp_student_roll',
						   'value' => $roll,
					   )),
					'posts_per_page' => 1
				) 
			);
		}

		if($queryType == 'exrollnreg'){
			query_posts( 
				array( 
					'post_type'   => 'jsrmsp_sr',
					'post_status' => 'publish',
					'classes'     => $class,
					'meta_query'  => array(
					 	'relation' => 'AND',
					   array(
							'key'   => '_jsrmsp_student_reg',
							'value' => $reg,
					   ),
					   array(
							'key'   => '_jsrmsp_student_roll',
							'value' => $roll,
					   )
					),
					'posts_per_page' => 1
				) 
			);
		}

		if($queryType == 'namenbirth'){
			query_posts( 
				array( 
					'post_type'   => 'jsrmsp_sr',
					'post_status' => 'publish',
					'name' 		  => $title,
					'meta_query'  => array(
					   array(
							'key'   => '_jsrmsp_student_birth_date',
							'value' => $birthdate,
					   )
					),
					'posts_per_page' => 1
				) 
			);
		}

		if($queryType == 'regnbirth'){
			query_posts( 
				array( 
					'post_type'   => 'jsrmsp_sr',
					'post_status' => 'publish',
					'meta_query'  => array(
						'relation' => 'AND',
					   array(
							'key'   => '_jsrmsp_student_reg',
							'value' => $reg,
					   ),
					   array(
							'key'   => '_jsrmsp_student_birth_date',
							'value' => $birthdate,
					   )
					),
					'posts_per_page' => 1
				) 
			);
		}
	}
}

?>