<?php

/* Add class for custom page template */

include('class/class-search-form.php');
include('class/class-get-post-meta.php');

/* ---------------------------------------------
Add Custom Page Template Support ---------------
--------------------------------------------- */

function jsrmsp_custom_page_template() { 
	ob_start();
	
	/* Make certificate downloadable */
	if(isset($_GET['file']) && isset($_GET['id'])) {
		// Copy to a temp directory
		$file_url  = $_GET['file'];
		$file_id = $_GET['id'];
		
		$cTDl = new jsrmsp_result_meta();
		$file = $cTDl->cerTDlmain($file_url,$file_id)[0];
		$file_type = $cTDl->cerTDlmain($file_url,$file_id)[1];
		header('Content-type: image/'.$file_type);
		header('Content-Disposition: attachment; filename="'. $file_id.'.'.$file_type .'"');
		readfile($file);
		unlink($file);
		
	}
?>
	<!-- Custom page template design start -->
	<!DOCTYPE HTML>
	<html lang="en-US">
	<head>
		<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<meta name="robots" content="noindex, nofollow">
		<title>
			<?php 
				$title = get_option('jsrmsp_custom_page_title');
				if($title) {
					echo $title;
				}
				else {
					echo "Ministry of Education";
				}
				
				echo " - ";
				
				$subtitle = get_option('jsrmsp_custom_page_subtitle');
				if($subtitle) {
					echo $subtitle;
				}
				else {
					echo "Intermediate and Secondary Education Boards Bangladesh";
				}
			?>

		</title>
		
		<!-- Load necessary Stylesheet -->
		<link rel="preconnect" href="https://fonts.googleapis.com">
		<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
		<link href="https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700&family=Noto+Serif+Bengali:wght@400;500;600;700&display=swap" rel="stylesheet">
		<link rel="stylesheet" type="text/css" href="<?php echo plugin_dir_url(__FILE__).'css/fancybox.css'; ?>" media="screen"/>
		<link rel="stylesheet" type="text/css" href="<?php echo plugin_dir_url(__FILE__).'css/custom-template.css'; ?>?v=9852"/>
		<link rel="stylesheet" type="text/css" href="<?php $color_scheme = get_option('jsrmsp_color_scheme'); if($color_scheme) { echo plugin_dir_url(__FILE__).'css/themes/'.$color_scheme.'.css'; } else { echo plugin_dir_url(__FILE__).'css/themes/black.css'; } ?>"/>
		<link rel="stylesheet" href="<?php echo plugin_dir_url(__FILE__).'css/print.css'; ?>?v=9852" media="print" />
		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
		
		<!-- Google web font -->
		<link href='http://fonts.googleapis.com/css?family=Roboto:400,1.0.100italic,300,300italic,400italic,500italic,500,700,700italic,900,900italic' rel='stylesheet' type='text/css'>
		
		<!-- Favcion -->
		<link rel="shortcut icon" href="<?php $logo = get_option('jsrmsp_page_favicon'); if($logo) { echo wp_get_attachment_url($logo); } else { echo plugin_dir_url(__FILE__).'images/template-favicon.ico'; } ?>"/>
		<style type="text/css">
			body {
				background-image:url('<?php $bg_pattern = get_option('jsrmsp_bg_pattern'); if($bg_pattern) { echo plugin_dir_url(__FILE__).'images/bg_'.$bg_pattern.''; } else { echo plugin_dir_url(__FILE__).'images/bg_1'; } ?>.png');
			}
		</style>
		<?php
			/* Add margin to admin bar bottom for logged in user */
			if(is_user_logged_in()){ ?>
				<style type="text/css">
					html {
					  margin-top: 10px !important;
					}
				</style>
			<?php }
		?>
		
		<!-- Load Jquery from wordpress -->
		<script type="text/javascript" src="<?php echo get_site_url(); ?>/wp-includes/js/jquery/jquery.js"></script>
		
	</head>
	<body <?php body_class() ?>>
		
		<!-- Result page container -->
		<div class="jsrmsp-result-container fix">
			<!-- Header -->
			<header class="header">
				<div class="header-left fix">
					<img src="<?php $logo = get_option('jsrmsp_page_logo'); if($logo) { echo wp_get_attachment_url($logo); } else { echo plugin_dir_url(__FILE__).'images/template-logo.png'; } ?>" alt="" />
				</div>
				
				<div class="header-right fix">
					<h2>
						<?php 
							$title = get_option('jsrmsp_custom_page_title');
							if($title) {
								echo $title;
							}
							else {
								echo "Ministry of Education";
							}
						?>
					</h2>
					<p>
						<?php 
							$subtitle = get_option('jsrmsp_custom_page_subtitle');
							if($subtitle) {
								echo $subtitle;
							}
							else {
								echo "Intermediate and Secondary Education Boards Bangladesh";
							}
						?>
					</p>
					<div class="jsrmsp-home-link">
						<a title="Go to home page" href="<?php if(get_option('jsrmsp_home_btn_link')){ echo get_option('jsrmsp_home_btn_link'); } else{ echo get_bloginfo('url'); } ?>"><?php _e('Home','jsrmsp-td'); ?></a>
					</div>
				</div>
			</header>
			
			<?php 
				
				// Check result form is submitted or not
				if(!isset($_POST['result_form'])):
			
			?>
			
			<!-- Result Search Form -->
			<div class="jsrmsp-result-search-area fix">
				<form action="" name="result-form" method="post" onsubmit="return validateForm()">
					<div class="jsrmsp-result-search-form fix">
						
						<?php
							/* Calling search form depending on user choice */
							$s_form = new jsrmsp_search_form();
							$s_form->search_form( get_option('jsrmsp_s_form_l') );
						?>
									
						<div style="margin-bottom: 0px;" class="jsrmsp-form-row fix">
							<input class="st-btn" type="submit" value="<?php if(get_option('jsrmsp_searchBtn')){ echo get_option('jsrmsp_searchBtn'); } else { echo 'Search'; } ?>" name="result_form" />
							<input type="reset" value="<?php _e('Reset','jsrmsp-td'); ?>" />
						</div>
						
						<?php 
							$result_notice = get_option('jsrmsp_result_notice');
							if($result_notice): 
						?>
						<div class="jsrmsp-result-notice fix">
							<p><?php echo $result_notice; ?></p>
						</div>
						<?php endif; ?>
					</div>
				</form>
			</div>
			
			<?php
				
				endif;
				
				/* Search student's result based on submitted form */
				
				$form_base = get_option('jsrmsp_s_form_l');
				
				if( !empty($_POST['exam_roll']) || !empty($_POST['exam_reg']) || !empty($_POST['students_dobirth'])):
				
					/* Posted data */
					$class = isset($_POST['exam_class']) ? wp_unslash($_POST['exam_class']): '';
					$year = isset($_POST['exam_year']) ? wp_unslash($_POST['exam_year']): '';
					$section = isset($_POST['section']) ? wp_unslash($_POST['section']): '';
					$group = isset($_POST['group']) ? wp_unslash($_POST['group']): '';
					$roll = isset($_POST['exam_roll']) ? wp_unslash($_POST['exam_roll']): '';
					$reg = isset($_POST['exam_reg']) ? wp_unslash($_POST['exam_reg']): '';
					$title = isset($_POST['students_name']) ? wp_unslash($_POST['students_name']): '';
					$title = strtolower( $title );
					$title = str_replace( ' ', '-', $title );
					$birthdate = isset($_POST['students_dobirth']) ? wp_unslash($_POST['students_dobirth']): '';

					// Make object and Query post
					$jsrmspQuery = new jsrmsp_searchQuery();
					$jsrmspQuery->makeQuery($form_base,$class,$year,$section,$group,$roll,$reg,$title,$birthdate);
					
			?>
			
			<!-- Result view -->
			<div class="jsrmsp-result-view fix">
				<?php 
					
					if( is_tax() ) { 
						global $wp_query; 
						$term = $wp_query->get_queried_object();
					} 
				?>
				
				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
				
				<?php $result_meta = new jsrmsp_result_meta(); ?>
				
				<h2 class="jsrmsp-result-content-header"><?php if(!$result_meta->class_name_sl()){ } ?> <?php if(get_option( 'jsrmsp_resultPublication')){ echo get_option( 'jsrmsp_resultPublication' ); } else{ echo 'Result Publication'; }; ?> <?php if(!$result_meta->year_name_sl()){} ?> <?php edit_post_link('Edit'); ?></h2>
				
				
				<?php 
					echo $result_meta->studentPhoto(); 
					/* Get result information */
					$result_meta = new jsrmsp_result_meta();
				?>
				
				<div class="jsrmsp-responsive-table">
					<table cellpadding="5" class="jsrmsp-student-info">
						<tbody>
							<tr>
								<td>
									<span class="label">
										<?php 
											if(get_option( 'jsrmsp_st_name')){
												echo get_option( 'jsrmsp_st_name');
											}
											else{
												echo 'Name';
											}
										?>
									</span>
								</td>
								<td><span class="info"><?php the_title(); ?></span></td>
								<?php $result_meta->result_meta('_jsrmsp_student_type','jsrmsp_info_field_3'); ?>
							</tr>
							<tr>
								<?php  
									$result_meta->result_meta('_jsrmsp_student_father_name','jsrmsp_info_field_1');
									$result_meta->result_meta('_jsrmsp_student_mother_name','jsrmsp_info_field_2');
								?>
							</tr>
							<tr>
								<?php  
									$result_meta->date_of_birth('_jsrmsp_student_birth_date','jsrmsp_info_field_4');
									$result_meta->ins_name('jsrmsp_school_name');
								?>
							</tr>
							<tr>
								<?php  
									$result_meta->result_meta('_jsrmsp_student_roll','jsrmsp_info_field_7');
									$result_meta->result_meta('_jsrmsp_student_reg','jsrmsp_info_field_8');
								?>
							</tr>
							<tr>
								<?php  
									$result_meta->group_name();
									$result_meta->section_name();
								?>
							</tr>
							<tr>
								<?php  
									$result_meta->result_meta('_jsrmsp_student_gender','jsrmsp_info_field_5');
									$result_meta->result_meta('_jsrmsp_student_religion','jsrmsp_info_field_6');
								?>
							</tr>
							<tr>
								<?php  
									$result_meta->result_meta('_jsrmsp_total_gpa','jsrmsp_gpa');
								?>
								<td></td>
								<td></td>
							</tr>
						</tbody>
					</table>
				</div>
				
				<?php
					//if($result_meta->result_meta_check("_jsrmsp_subject_1")):
				?>
				
				<h2><?php if(get_option( 'jsrmsp_resultHeader')){ echo get_option( 'jsrmsp_resultHeader' ); } else{ echo 'Subject Wise Grade/Mark Sheet'; }; ?></h2>
				
				<table cellpadding="5" class="jsrmsp-student-result">
					<tbody>
						<tr>
							<th><?php if(get_option( 'jsrmsp_resultSubject')){ echo get_option( 'jsrmsp_resultSubject' ); } else{ echo 'Subject'; }; ?></th>
							<th><?php echo get_option('jsrmsp_grade'); ?></th>
						</tr>
						
						<?php

							$totalSubjects = get_option('jsrmsp_total_subjects', true);

							// Generate result
							for ($x = 1; $x <= $totalSubjects; $x++){
								$result_meta->result_meta_marksheet("_jsrmsp_subject_".$x,"jsrmsp_subject_".$x);
							}
							
							/* Certificate view and download */
							
							$result_meta->certificate("_jsrmsp_certificate");
							
						?>
						
					</tbody>
				</table>

				<?php 
					$result_meta->watermarkImage();
					$result_meta->examControllerSignature();
				?>

				<?php // endif; ?>
				<?php endwhile; else: ?>
				
				<!-- If fail to find result -->
				<div class="jsrmsp-result-notice error">
					<p><?php echo get_option('jsrmsp_result_failedNotice'); ?></p>
				</div>
				
				<?php endif; ?>

				<!-- Result print & search btn -->
				<?php
					if(get_option('jsrmsp_resultPrintBtn')){ ?>
						<div style="margin-top: 5px" class="jsrmsp-search-print fix">
							<a class="jsrmsp-search-again" href=""><?php _e('Search Again','jsrmsp-td'); ?></a>
							<a class="jsrmsp-result-print" href="#" onClick=" window.print(); return false"><?php _e('Print','jsrmsp-td'); ?></a>
						</div>
					<?php }
				?>
			</div>
			<?php
				endif;
			?>
			
			<!-- footer -->
			<footer class="footer">
				<p>
					<?php 
						$footer_text = get_option('jsrmsp_footer_text');
						if($footer_text) {
							echo $footer_text;
						}
						else {
							$cy = date('Y');
							echo "&copy; $cy Ministry of Education, All rights reserved.";
						}
					?>
				</p>
			</footer>
		</div>
		
		<!-- Load fancybox -->
		<script type="text/javascript" src="<?php echo plugin_dir_url(__FILE__).'js/fancybox.js'; ?>"></script>
		<script type="text/javascript">
			
			/* Fancy box */
			jQuery(document).ready(function() {
				jQuery('.fancybox').fancybox();
			});
		</script>
	</body>
	</html>

<?php
	$jsrmsp_rvpt = ob_get_clean();
	return $jsrmsp_rvpt;
 }

add_shortcode('jsrmsp_result_page','jsrmsp_custom_page_template');
