<?php

/* ---------------------------------------------
Add Custom Single Page Support ---------------
--------------------------------------------- */

function jsrmsp_custom_single_page() { 
	ob_start();
	
	if(isset($_GET['file']) && isset($_GET['id'])) {
		// Copy to a temp directory
		$file_url  = $_GET['file'];
		$file_id = $_GET['id'];
		
		$cTDl = new jsrmsp_result_meta();
		$file = $cTDl->cerTDlmain($file_url,$file_id)[0];
		$file_type = $cTDl->cerTDlmain($file_url,$file_id)[1];
		header('Content-type: image/'.$file_type);
		header('Content-Disposition: attachment; filename="'. $file_id.'.'.$file_type .'"');
		readfile($file);
		unlink($file);
		
	}
?>

	<!DOCTYPE HTML>
	<html lang="en-US">
	<head>
		<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<meta name="robots" content="noindex, nofollow">
		<title>
			<?php 
				the_title();
			?>
		</title>
		
		<!-- Stylesheet -->
		<link rel="preconnect" href="https://fonts.googleapis.com">
		<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
		<link href="https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700&family=Noto+Serif+Bengali:wght@400;500;600;700&display=swap" rel="stylesheet">
		<link rel="stylesheet" type="text/css" href="<?php echo plugin_dir_url(__FILE__).'css/fancybox.css'; ?>" media="screen"/>
		<link rel="stylesheet" type="text/css" href="<?php echo plugin_dir_url(__FILE__).'css/custom-template.css'; ?>?v=9852"/>
		<link rel="stylesheet" type="text/css" href="<?php $color_scheme = get_option('jsrmsp_color_scheme'); if($color_scheme) { echo plugin_dir_url(__FILE__).'css/themes/'.$color_scheme.'.css'; } else { echo plugin_dir_url(__FILE__).'css/themes/black.css'; } ?>"/>
		<link rel="stylesheet" href="<?php echo plugin_dir_url(__FILE__).'css/print.css'; ?>?v=9852" media="print" />
		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
		
		<!-- Google web font -->
		<link href='http://fonts.googleapis.com/css?family=Roboto:400,1.0.100italic,300,300italic,400italic,500italic,500,700,700italic,900,900italic' rel='stylesheet' type='text/css'>
		
		<!-- Favcion -->
		<link rel="shortcut icon" href="<?php echo plugin_dir_url(__FILE__).'images/template-favicon.ico'; ?>"/>
		<style type="text/css">
			body {
				background-image:url('<?php $bg_pattern = get_option('jsrmsp_bg_pattern'); if($bg_pattern) { echo plugin_dir_url(__FILE__).'images/bg_'.$bg_pattern.''; } else { echo plugin_dir_url(__FILE__).'images/bg_1'; } ?>.png');
			}
		</style>
		<?php
			/*
				Add margin to admin bar bottom for logged in user
			*/
			if(is_user_logged_in()){ ?>
				<style type="text/css">
					html {
					  margin-top: 10px !important;
					}
				</style>
			<?php }
		?>
		<!-- Load Jquery -->
		<script type="text/javascript" src="<?php echo get_site_url(); ?>/wp-includes/js/jquery/jquery.js"></script>
	</head>
	<body <?php body_class() ?>>
		
		<!-- Result page container -->
		<div class="jsrmsp-result-container fix">
			
			<!-- Header -->
			
			<header class="header">
				<div class="header-left fix">
					<img src="<?php $logo = get_option('jsrmsp_page_logo'); if($logo) { echo wp_get_attachment_url($logo); } else { echo plugin_dir_url(__FILE__).'images/template-logo.png'; } ?>" alt="" />
				</div>
				
				<div class="header-right fix">
					<h2>
						<?php 
							$title = get_option('jsrmsp_custom_page_title');
							if($title) {
								echo $title;
							}
							else {
								echo "Ministry of Education";
							}
						?>
					</h2>
					<p>
						<?php 
							$subtitle = get_option('jsrmsp_custom_page_subtitle');
							if($subtitle) {
								echo $subtitle;
							}
							else {
								echo "Intermediate and Secondary Education Boards Bangladesh";
							}
						?>
					</p>
					<div class="jsrmsp-home-link"><a title="Go to home page" href="<?php echo get_bloginfo('url'); ?>"><?php _e('Home','jsrmsp-td'); ?></a></div>
				</div>
			</header>
			
			<!-- Result view -->
			<div class="jsrmsp-result-view fix">
			
				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
				
				<h2 class="jsrmsp-result-content-header"><?php $class = get_the_term_list( get_the_ID(), 'classes', '', ', ', '' ); $class = strip_tags($class); echo $class; ?> <?php _e('result publication','jsrmsp-td'); ?> <?php $year = get_the_term_list( get_the_ID(), 'years', '', ', ', '' ); $year = strip_tags($year); echo $year; ?> <?php edit_post_link('Edit'); ?></h2>
				
				<?php 
					/* Get result information */
					$result_meta = new jsrmsp_result_meta();
					echo $result_meta->studentPhoto(); 
				?>
				
				<div class="jsrmsp-responsive-table">
					<table cellpadding="5" class="jsrmsp-student-info">
						<tbody>
							<tr>
								<td>
									<span class="label">
										<?php 
											if(get_option( 'jsrmsp_st_name')){
												echo get_option( 'jsrmsp_st_name');
											}
											else{
												echo 'Name';
											}
										?>
									</span>
								</td>
								<td><span class="info"><?php the_title(); ?></span></td>
								<?php $result_meta->result_meta('_jsrmsp_student_type','jsrmsp_info_field_3'); ?>
							</tr>
							<tr>
								<?php 
									$result_meta->result_meta('_jsrmsp_student_father_name','jsrmsp_info_field_1');
									$result_meta->result_meta('_jsrmsp_student_mother_name','jsrmsp_info_field_2');
								?>
							</tr>
							<tr>
								<?php  
									$result_meta->date_of_birth('_jsrmsp_student_birth_date','jsrmsp_info_field_4');
									$result_meta->ins_name('jsrmsp_school_name');
								?>
							</tr>
							<tr>
								<?php  
									$result_meta->result_meta('_jsrmsp_student_roll','jsrmsp_info_field_7');
									$result_meta->result_meta('_jsrmsp_student_reg','jsrmsp_info_field_8');
								?>
							</tr>
							<tr>
								<?php  
									$result_meta->group_name();
									$result_meta->section_name();
								?>
							</tr>
							<tr>
								<?php  
									$result_meta->result_meta('_jsrmsp_student_gender','jsrmsp_info_field_5');
									$result_meta->result_meta('_jsrmsp_student_religion','jsrmsp_info_field_6');
								?>
							</tr>
							<tr>
								<?php  
									$result_meta->result_meta('_jsrmsp_total_gpa','jsrmsp_gpa');
								?>
								<td></td>
								<td></td>
							</tr>
						</tbody>
					</table>
				</div>
				
				<?php
					//if(get_post_meta( get_the_ID(),'_jsrmsp_subject_1',true )):
				?>
				
				<h2><?php if(get_option( 'jsrmsp_resultHeader')){ echo get_option( 'jsrmsp_resultHeader' ); } else{ echo 'Subject Wise Grade/Mark Sheet'; }; ?></h2>
				
				<table cellpadding="5" class="jsrmsp-student-result">
					<tbody>
						<tr>
							<th><?php _e('Subject','jsrmsp-td'); ?></th>
							<th><?php echo get_option('jsrmsp_grade'); ?></th>
						</tr>
						
						<?php 
							
							$totalSubjects = get_option('jsrmsp_total_subjects', true);

							// Generate result
							for ($x = 1; $x <= $totalSubjects; $x++){
								$result_meta->result_meta_marksheet("_jsrmsp_subject_".$x,"jsrmsp_subject_".$x);
							}
							
							/* Certificate view and download */
							
							$result_meta->certificate("_jsrmsp_certificate");
							
						?>
						
					</tbody>
				</table>

				<?php 
					$result_meta->watermarkImage();
					$result_meta->examControllerSignature();
				?>

				<?php //endif; ?>
				<?php endwhile; else: ?>
				
				<!-- If result not found the show the line below -->
				
				<div class="jsrmsp-result-notice error">
					<p><?php echo get_option("jsrmsp_result_failedNotice"); ?></p>
				</div>
				
				<?php endif; ?>
			</div>
			<!-- footer -->
			<footer class="footer">
				<p>
					<?php 
						$footer_text = get_option('jsrmsp_footer_text');
						if($footer_text) {
							echo $footer_text;
						}
						else {
							$cy = date('Y');
							echo "&copy; $cy Ministry of Education, All rights reserved.";
						}
					?>
				</p>
			</footer>
		</div>
		
		<!-- Load fancybox -->
		<script type="text/javascript" src="<?php echo plugin_dir_url(__FILE__).'js/fancybox.js'; ?>"></script>
		<script type="text/javascript">
			/* Fancy box */
			
			jQuery(document).ready(function() {
				jQuery('.fancybox').fancybox();
			});
		</script>
	</body>
	</html>

<?php
	$jsrmsp_rvpt = ob_get_clean();
	return $jsrmsp_rvpt;
 }

add_shortcode('jsrmsp_single_page','jsrmsp_custom_single_page');