<?php
/**
 * Plugin Name: JP Students Result Management System Premium
 * Plugin URI: https://skjoy.info/shop/jp-students-result-management-system-premium
 * Description: Powerful students result management system.It has ajax powered advanced result search form for searching students result.Ajax powered csv importer & Export can import & Export multiple result at a time.It offers a custom page template which is fully responsive and printable.
 * Tags: online result management, academic, academic result, AJAX, AJAX search, education, result, csv, Ajax csv importer, csv importer, csv exporter, result management system, student, student result, student result management system, university, college
 * Version: 1.1.7
 * Author: Skjoy
 * Author URI: https://skjoy.info
 * Text Domain: jsrmsp-td
 * Domain Path: /lang/
 * Requires at least: 3.8
 * Tested Up to: 6.4.3
 * Stable Tag: 2.0
 * License: GPL v2
 * Shortname: jsrmsp or jsrmsp_
 */

 
if ( ! defined( 'ABSPATH' ) ) exit;

// Load necessary files
require_once('includes.php');

// Load custom post type file
require_once('includes/lib/post.php');

/****
* Add plugin's version to db 
* This is necessary for plugin update engine --- 
****/

global $jsrmsp_ver;
$jsrmsp_ver = '1.1.7';

function jsrmsp_version_hook() {
	global $jsrmsp_ver;
	if( get_option('jsrmsp_version') ){
		update_option('jsrmsp_version', $jsrmsp_ver);
	}
	else{
		add_option( 'jsrmsp_version', $jsrmsp_ver );
	}
	
}

register_activation_hook( __FILE__, 'jsrmsp_version_hook' );

/**** 
* Add default values to database for settings panel 
****/

function jsrmsp_default_settings(){

	require_once('includes/install_db.php');
}
	
register_activation_hook( __FILE__, 'jsrmsp_default_settings' );

/*
* Deactivation Tasks
*/

function jsrmsp_deactivation_task() {

  require_once('includes/deactivation-task.php');
}

register_deactivation_hook( __FILE__, 'jsrmsp_deactivation_task' );

/**
 * Returns the main instance of Jsrmsp_Plugin_Template to prevent the need to use globals.
 *
 * @since  1.0.1
 * @return object Jsrmsp_Plugin_Template
 */
function Jsrmsp_Plugin_Settings () {
	$instance = Jsrmsp_Plugin_Template::instance( __FILE__, '1.1.7' );
	//$instance = Jsrmsp_Plugin_Template::instance( __FILE__, time() );
	
	if ( is_null( $instance->settings ) ) {
		$instance->settings = Jsrmsp_Plugin_Settings::instance( $instance );
	}
	

	return $instance;
}

Jsrmsp_Plugin_Settings();